Last Comment Bug 723946 - Start producing armv6 Android builds again
: Start producing armv6 Android builds again
Status: RESOLVED FIXED
[mobile][armv6]
:
Product: Release Engineering
Classification: Other
Component: Platform Support (show other bugs)
: other
: ARM Android
: P2 normal (vote)
: ---
Assigned To: Armen Zambrano [:armenzg] - Engineering productivity
: Chris Cooper [:coop]
Mentors:
Depends on: 697205 757909 761454 766664 767864 768386 923210
Blocks: ARMv6-QA
  Show dependency treegraph
 
Reported: 2012-02-03 07:58 PST by Ted Mielczarek [:ted.mielczarek]
Modified: 2013-10-23 00:54 PDT (History)
58 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
[wip] add android-armv6 (3.84 KB, patch)
2012-06-12 08:03 PDT, Armen Zambrano [:armenzg] - Engineering productivity
no flags Details | Diff | Review
add android-armv6 (3.47 KB, patch)
2012-06-21 08:48 PDT, Armen Zambrano [:armenzg] - Engineering productivity
jhopkins: review+
armenzg: checked‑in+
Details | Diff | Review
adjust for different packaging for armv6 (1.09 KB, patch)
2012-06-21 08:48 PDT, Armen Zambrano [:armenzg] - Engineering productivity
jhopkins: review+
armenzg: checked‑in+
Details | Diff | Review
dsiable for m-a, m-b and m-r (1.06 KB, patch)
2012-06-21 13:02 PDT, Armen Zambrano [:armenzg] - Engineering productivity
nthomas: review+
nthomas: checked‑in+
Details | Diff | Review
Disable uploading symbols on try (1.35 KB, patch)
2012-06-21 15:21 PDT, Nick Thomas [:nthomas]
bear: review+
nthomas: checked‑in+
Details | Diff | Review
Disable nightlies (1.57 KB, patch)
2012-06-21 21:19 PDT, Nick Thomas [:nthomas]
bear: review+
nthomas: checked‑in+
Details | Diff | Review
modify MOZ_SYMBOLS_EXTRA_BUILDID for armv6 (8.25 KB, patch)
2012-06-22 12:38 PDT, Armen Zambrano [:armenzg] - Engineering productivity
nthomas: review-
Details | Diff | Review
modify MOZ_SYMBOLS_EXTRA_BUILDID for armv6 (take2) (7.74 KB, patch)
2012-07-03 11:28 PDT, Armen Zambrano [:armenzg] - Engineering productivity
nthomas: review-
Details | Diff | Review
enable nightly builds (902 bytes, patch)
2012-07-03 15:13 PDT, Armen Zambrano [:armenzg] - Engineering productivity
nthomas: review-
Details | Diff | Review
Round up of fixes (9.97 KB, patch)
2012-07-04 04:14 PDT, Nick Thomas [:nthomas]
rail: review+
armenzg: checked‑in+
Details | Diff | Review
add armv6 to the trychooser (1.67 KB, patch)
2012-07-10 14:08 PDT, Armen Zambrano [:armenzg] - Engineering productivity
nthomas: review+
Details | Diff | Review

Description Ted Mielczarek [:ted.mielczarek] 2012-02-03 07:58:23 PST
We used to have these, and we're fixing up the major things that broke in the interim. We want to get them started again.

The old mozconfigs we had might work, if not, they're basically the same as the existing Android builds ones, but with:
ac_add_options --with-thumb=no
ac_add_options --with-arch=armv6
Comment 1 Ted Mielczarek [:ted.mielczarek] 2012-02-03 07:59:41 PST
The only blocker in the dependency tree here that's on RelEng's plate is bug 701708.
Comment 2 Ted Mielczarek [:ted.mielczarek] 2012-03-26 04:47:00 PDT
glandium managed to fix our build so that we don't need any changes to the NDK. Setting these builds up should be as simple as copying the existing Android mozconfig and adding:
ac_add_options --with-arch=armv6
Comment 3 Tanmay Vatsa 2012-03-28 05:21:11 PDT
I don't know much about development but i am big fan of Mozilla and wants a build which will work in my arm6. Can you give me a link of latest build which will work in my phone. Please update a link to me do i can download. Our send me as a statement at Tanmay@live.in
Comment 4 Tanmay Vatsa 2012-03-28 05:23:16 PDT
Sorry attachment misplaced with statement
Comment 5 Tanmay Vatsa 2012-03-28 05:25:05 PDT
Sorry attachment misplaced with statement
Comment 6 Kevin Brosnan [:kbrosnan] 2012-03-28 10:40:07 PDT
There won't be a build till this bug is fixed. Please use the mobile mailing list [1] for questions. A bug is for coordination of the people who will do the work.

[1] https://lists.mozilla.org/listinfo/dev-platforms-mobile
Comment 7 Gábor Stefanik 2012-04-03 18:49:02 PDT
Any status updates on this bug?
Comment 8 Ioana Chiorean 2012-05-12 18:40:17 PDT
It think it is the same as bug 697205
Comment 9 Kevin Brosnan [:kbrosnan] 2012-05-13 08:57:34 PDT
Builds can be produced as one off builds, that is what bug 697205 fixed. This is to get vm's to build armv6 builds in the build pool. There is other work that is out competing this bug. Windows 8 builders and signed builds for OS 10.8 users.
Comment 10 Armen Zambrano [:armenzg] - Engineering productivity 2012-05-23 10:58:19 PDT
I have done a rough patch that could work off the bat.

If one of you could land the mozconfig changes for this build I could give it a shot on staging whenever I have a change.

For reference, Android uses this:
http://hg.mozilla.org/mozilla-central/file/default/mobile/android/config/mozconfigs/android/nightly
Comment 11 Ted Mielczarek [:ted.mielczarek] 2012-05-23 11:19:32 PDT
bug 757909 is adding mozconfigs. I'll ping you when that lands and we can try them in staging.
Comment 12 Armen Zambrano [:armenzg] - Engineering productivity 2012-05-30 08:25:12 PDT
Can I try it out again?
Comment 13 Gabriela [:gaby2300] 2012-05-30 08:38:55 PDT
Will there be a new build or similar to try soon?
Comment 14 Please Ignore This Troll 2012-05-30 08:56:57 PDT
(In reply to Gabriela from comment #13)
> Will there be a new build or similar to try soon?

U can use teh unofficial builds over @ XDA Developers: http://forum.xda-developers.com/showthread.php?t=1643785&page=11 
Disclamer: unofficial, unsupported, form unknown person use at your own risk blah blah blah....
Also its not recommended to ask question here if you don't develop, if you do it too much you could be Banned... cause its like, for Work not questions...
PS: Im just random user
Comment 15 Gabriela [:gaby2300] 2012-05-30 08:59:39 PDT
(In reply to Please Ignore This Troll from comment #14)
> (In reply to Gabriela from comment #13)
> > Will there be a new build or similar to try soon?
> 
> U can use teh unofficial builds over @ XDA Developers:
> http://forum.xda-developers.com/showthread.php?t=1643785&page=11 
> Disclamer: unofficial, unsupported, form unknown person use at your own risk
> blah blah blah....
> Also its not recommended to ask question here if you don't develop, if you
> do it too much you could be Banned... cause its like, for Work not
> questions...
> PS: Im just random user

Many thanks!
Comment 16 Ted Mielczarek [:ted.mielczarek] 2012-05-30 09:01:03 PDT
(In reply to Armen Zambrano G. [:armenzg] - Release Engineer from comment #12)
> Can I try it out again?

Yes, sorry, the mozconfigs have landed here:
http://mxr.mozilla.org/mozilla-central/source/mobile/android/config/mozconfigs/android-armv6/

(In reply to Please Ignore This Troll from comment #14)
> Also its not recommended to ask question here if you don't develop, if you
> do it too much you could be Banned... cause its like, for Work not
> questions...

You're unlikely to get banned unless you flaming developers or other uncivil things like that, but yes, it is helpful to developers if you keep bug comments strictly focused on the topic of the bug. The newsgroups are more amenable to discussion, it's better to keep bugs focused on fixing the bug.
Comment 18 Ted Mielczarek [:ted.mielczarek] 2012-06-01 07:59:41 PDT
This appears to not have used the right mozconfig:
retry: Calling <function run_with_timeout at 0xb7d3d0d4> with args: (['bash', '-c', 'if [ -f "mobile/android/config/mozconfigs/android/nightly" ]; then                        echo Using in-tree mozconfig;                        cp mobile/android/config/mozconfigs/android/nightly .mozconfig;                    else                        echo Downloading mozconfig;                        wget -O .mozconfig http://hg.mozilla.org/build/buildbot-configs/raw-file/production/mozilla2/android/mozilla-central/nightly/mozconfig;                    fi'], 1260, None, None, False, True), kwargs: {}, attempt #1
Comment 19 riofrios 2012-06-01 17:11:17 PDT
To clarify, what exactly is missing for this bug to be fixed?
Comment 20 Ted Mielczarek [:ted.mielczarek] 2012-06-02 09:38:59 PDT
The Release Engineering team needs to add this build configuration to our buildbot configs to get these builds running in our automation. Unfortunately they also have a lot of other high-priority tasks, so it just hasn't happened yet. You can see that Armen has made some progress in comment 17.
Comment 21 Andrei Boros 2012-06-03 13:47:07 PDT
IMHO from end-user viewpoint : 

- have Android phone/tablet based on ARMv6
- go to market, search "firefox"
- found mozilla Firefox browser
- select install and accept permission requirements. 
ARMv6 build automatically selected for download, based on my phone config, then downloaded and installed.
Comment 22 Ted Mielczarek [:ted.mielczarek] 2012-06-04 04:41:29 PDT
We appreciate the interest, but none of this discussion is relevant to this bug or will help it get fixed. If you'd like to discuss this, please do so in the newsgroups.
Comment 23 Armen Zambrano [:armenzg] - Engineering productivity 2012-06-04 09:13:36 PDT
I have tried to build it again:
http://tinderbox.mozilla.org/showlog.cgi?log=MozillaTest/1338567051.1338569482.28064.gz&fulltext=1

It failed 39 minutes into the compilation:
res/drawable/address_bar_url_default.xml:0: error: Resource entry address_bar_url_default is already defined.
res/drawable/address_bar_url_default.9.png:0: Originally defined here.
res/drawable/address_bar_url_pressed.xml:0: error: Resource entry address_bar_url_pressed is already defined.
res/drawable/address_bar_url_pressed.9.png:0: Originally defined here.
make[6]: *** [R.java] Error 1
make[6]: *** Waiting for unfinished jobs....
Note: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.
res/drawable/address_bar_url_default.xml:0: error: Resource entry address_bar_url_default is already defined.
res/drawable/address_bar_url_default.9.png:0: Originally defined here.
res/drawable/address_bar_url_pressed.xml:0: error: Resource entry address_bar_url_pressed is already defined.
res/drawable/address_bar_url_pressed.9.png:0: Originally defined here.
make[6]: *** [gecko.ap_] Error 1
make[6]: Leaving directory `/builds/slave/m-cen-andrd-armv6/build/obj-firefox/mobile/android/base'
make[5]: *** [libs] Error 2
make[5]: Leaving directory `/builds/slave/m-cen-andrd-armv6/build/obj-firefox/mobile/android'
make[4]: *** [libs_tier_app] Error 2
make[4]: Leaving directory `/builds/slave/m-cen-andrd-armv6/build/obj-firefox'
make[3]: *** [tier_app] Error 2
make[3]: Leaving directory `/builds/slave/m-cen-andrd-armv6/build/obj-firefox'
make[2]: *** [default] Error 2
make[2]: Leaving directory `/builds/slave/m-cen-andrd-armv6/build/obj-firefox'
make[1]: *** [realbuild] Error 2
make[1]: Leaving directory `/builds/slave/m-cen-andrd-armv6/build'
make: *** [build] Error 2
program finished with exit code 2
elapsedTime=2378.839056
Comment 24 (Back on May31) Kartikaya Gupta (email:kats@mozilla.com) 2012-06-04 09:25:10 PDT
Was this an incremental build? This sort of thing is usually fixed by doing rm -rf <obdjir>/mobile/android/base and rebuilding
Comment 25 Armen Zambrano [:armenzg] - Engineering productivity 2012-06-04 09:28:13 PDT
Clobbering and trying again.
Comment 26 Armen Zambrano [:armenzg] - Engineering productivity 2012-06-04 13:45:04 PDT
Please ignore that it is orange (releng staging stuff). Consider it as green.

Here is the log:
http://tinderbox.mozilla.org/showlog.cgi?log=MozillaTest/1338827272.1338830003.9738.gz&fulltext=1

Here is the build:
http://people.mozilla.com/~armenzg/android/armv6/fennec-15.0a1.en-US.android-arm.apk

Can anyone please give it a shot?
Comment 27 Ted Mielczarek [:ted.mielczarek] 2012-06-04 14:13:51 PDT
This build works for me on an armv6 phone. Thanks!

I think we'll have to sort out the package naming, though, since it just comes out as "android-arm".
Comment 28 Armen Zambrano [:armenzg] - Engineering productivity 2012-06-12 08:03:41 PDT
Created attachment 632258 [details] [diff] [review]
[wip] add android-armv6
Comment 29 Armen Zambrano [:armenzg] - Engineering productivity 2012-06-12 08:05:44 PDT
Unassigning until bug 761454 gets resolved.
Comment 30 Amiad 2012-06-18 13:15:43 PDT
(In reply to Armen Zambrano G. [:armenzg] - Release Engineer from comment #26)
> Please ignore that it is orange (releng staging stuff). Consider it as green.
> 
> Here is the log:
> http://tinderbox.mozilla.org/showlog.cgi?log=MozillaTest/1338827272.
> 1338830003.9738.gz&fulltext=1
> 
> Here is the build:
> http://people.mozilla.com/~armenzg/android/armv6/fennec-15.0a1.en-US.android-
> arm.apk
> 
> Can anyone please give it a shot?

I install its on my phone (Samsung S5570i Galaxy Pop Plus, Android 2.3.6).
The browser not connect to internet and when I enter to Sync screen then browser stuck until I back to previus screen.
Comment 31 Ted Mielczarek [:ted.mielczarek] 2012-06-20 05:21:44 PDT
Armen: the package naming issue should be fixed, I think this is ready to go now.
Comment 32 Armen Zambrano [:armenzg] - Engineering productivity 2012-06-20 08:08:56 PDT
Triggering on staging.
Comment 33 Armen Zambrano [:armenzg] - Engineering productivity 2012-06-20 10:14:13 PDT
The packaging for the tests looks a little funny:
fennec-16.0a1.en-US.android-arm-armv6-armv6-armv6.tests.zip
which I somehow don't see "make upload" uploading.

The binaries got uploaded to here:
http://people.mozilla.com/~armenzg/android/armv6.take2

Maybe it is something on my releng steps?
http://tinderbox.mozilla.org/showlog.cgi?log=MozillaTest/1340210699.1340211017.7046.gz&fulltext=1
Comment 34 Ted Mielczarek [:ted.mielczarek] 2012-06-21 05:15:29 PDT
Armen: thanks for that! I fixed bug 766664, so the test package name should be fixed now. Can you spin another build on staging? Otherwise things look good.
Comment 35 Armen Zambrano [:armenzg] - Engineering productivity 2012-06-21 07:06:44 PDT
Hi ted,
I am getting this now:
http://tinderbox.mozilla.org/showlog.cgi?log=MozillaTest/1340284823.1340286901.1894.gz&fulltext=1

/builds/slave/m-cen-andrd-armv6/build/obj-firefox/_virtualenv/bin/python /builds/slave/m-cen-andrd-armv6/build/config/Preprocessor.py \
              -DOBJDIR="`pwd`" -DMANGLED_ANDROID_PACKAGE_NAME=org.mozilla.f3nn3c -DANDROID_PACKAGE_NAME=org.mozilla.fennec -DMOZ_APP_DISPLAYNAME="Nightly" -DMOZ_APP_NAME=fennec -DMOZ_APP_VERSION=16.0a1 -DMOZ_CHILD_PROCESS_NAME=lib/libplugin-container.so -DMOZ_MIN_CPU_VERSION=5 -DMOZ_CRASHREPORTER=1 -DANDROID_VERSION_CODE=2012062106 -DMOZILLA_OFFICIAL=1 -DUA_BUILDID=20120621  -DMOZ_ANDROID_SHARED_ID="org.mozilla.fennec.sharedID" -DANDROID=1 -DANDROID_VERSION=5 -DCROSS_COMPILE=1 -DHAVE_ARM_SIMD=1 -DHAVE_ARM_NEON=1 -DMOZ_ENABLE_PROFILER_SPS=1 -DMOZILLA_VERSION=\"16.0a1\" -DMOZILLA_VERSION_U=16.0a1 -DMOZILLA_UAVERSION=\"16.0\" -DNO_PW_GECOS=1 -DMOZ_LINKER=1 -DD_INO=d_ino -DSTDC_HEADERS=1 -DHAVE_SSIZE_T=1 -DHAVE_ST_BLKSIZE=1 -DHAVE_SIGINFO_T=1 -DHAVE_UINT=1 -DHAVE_UINT_T=1 -DHAVE_UNAME_DOMAINNAME_FIELD=1 -DHAVE_VISIBILITY_HIDDEN_ATTRIBUTE=1 -DHAVE_VISIBILITY_ATTRIBUTE=1 -DHAVE_DIRENT_H=1 -DHAVE_GETOPT_H=1 -DHAVE_MEMORY_H=1 -DHAVE_UNISTD_H=1 -DHAVE_MALLOC_H=1 -DHAVE_SYS_STATFS_H=1 -DHAVE_SYS_SYSMACROS_H=1 -DHAVE_LINUX_QUOTA_H=1 -DHAVE_MMINTRIN_H=1 -DHAVE_SYS_CDEFS_H=1 -DHAVE_DLOPEN=1 -DHAVE_MEMMEM=1 -DNO_X11=1 -DHAVE_STRERROR=1 -DHAVE_LCHOWN=1 -DHAVE_FCHMOD=1 -DHAVE_SNPRINTF=1 -DHAVE_MEMMOVE=1 -DHAVE_RINT=1 -DHAVE_SETBUF=1 -DHAVE_ISATTY=1 -DHAVE_FLOCKFILE=1 -DHAVE_LOCALTIME_R=1 -DHAVE_STRTOK_R=1 -DHAVE_CLOCK_MONOTONIC=1 -DMALLOC_H=\<malloc.h\> -DHAVE_STRNDUP=1 -DHAVE_MEMALIGN=1 -DHAVE_VALLOC=1 -DHAVE_I18N_LC_MESSAGES=1 -DNS_ALWAYS_INLINE=__attribute__\(\(always_inline\)\) -DNS_ATTR_MALLOC=__attribute__\(\(malloc\)\) -DNS_WARN_UNUSED_RESULT=__attribute__\(\(warn_unused_result\)\) -DMOZ_BUILD_APP=mobile/android -DMOZ_WIDGET_ANDROID=1 -DMOZ_PDF_PRINTING=1 -DMOZ_INSTRUMENT_EVENT_LOOP=1 -DUSE_ARM_KUSER=1 -DMOZ_DISTRIBUTION_ID=\"org.mozilla\" -DMOZ_ANDROID_HISTORY=1 -DMOZ_JAVA_COMPOSITOR=1 -DIBMBIDI=1 -DACCESSIBILITY=1 -DNS_PRINTING=1 -DNS_PRINT_PREVIEW=1 -DMOZ_RAW=1 -DMOZ_OGG=1 -DATTRIBUTE_ALIGNED_MAX=64 -DMOZ_MEDIA_NAVIGATOR=1 -DMOZ_WEBM=1 -DVPX_ARM_ASM=1 -DMOZ_WAVE=1 -DMOZ_SYDNEYAUDIO=1 -DMOZ_SPEEX_RESAMPLER=1 -DMOZ_MEDIA=1 -DMOZ_TREMOR=1 -DMOZ_OPUS=1 -DMOZ_XTF=1 -DENABLE_SYSTEM_EXTENSION_DIRS=1 -DMOZ_CRASHREPORTER=1 -DMOZ_CRASHREPORTER_ENABLE_PERCENT=100 -DLIBJPEG_TURBO_ARM_ASM=1 -DMOZ_USE_NATIVE_POPUP_WINDOWS=1 -DMOZ_TREE_FREETYPE=1 -DHAVE_FT_BITMAP_SIZE_Y_PPEM=1 -DHAVE_FT_GLYPHSLOT_EMBOLDEN=1 -DHAVE_FT_LOAD_SFNT_TABLE=1 -DMOZ_UPDATER=1 -DMOZ_UPDATE_CHANNEL=default -DMOZ_DISABLE_DOMCRYPTO=1 -DMOZ_FEEDS=1 -DMOZ_GFX_OPTIMIZE_MOBILE=1 -DMOZ_DEBUG_SYMBOLS=1 -DMOZ_LOGGING=1 -DSIZEOF_INT_P=4 -DMOZ_MEMORY_SIZEOF_PTR_2POW=2 -DMOZ_MEMORY=1 -DMOZ_MEMORY_LINUX=1 -DMOZ_MEMORY_ANDROID=1 -DJSGC_INCREMENTAL=1 -DHAVE__UNWIND_BACKTRACE=1 -DJS_DEFAULT_JITREPORT_GRANULARITY=3 -DMOZ_OMNIJAR=1 -DMOZ_USER_DIR=\".mozilla\" -DMOZ_STATIC_JS=1 -DMOZ_TREE_PIXMAN=1 -DHAVE_STDINT_H=1 -DHAVE_INTTYPES_H=1 -DMOZ_TREE_CAIRO=1 -DHAVE_UINT64_T=1 -DMOZ_GRAPHITE=1 -DMOZ_ENABLE_SKIA=1 -DMOZ_XUL=1 -DMOZ_PROFILELOCKING=1 -DBUILD_CTYPES=1 -DMOZ_PLACES=1 -DMOZ_APP_COMPONENT_INCLUDE=\"nsBrowserComponents.h\" -DMOZ_MACBUNDLE_ID=org.mozilla.nightly -DMOZ_APP_UA_NAME=\"Firefox\" -DMOZ_APP_UA_VERSION=\"16.0a1\" -DMOZ_UA_FIREFOX_VERSION=\"16.0a1\" -DFIREFOX_VERSION=16.0a1 -DMOZ_TELEMETRY_REPORTING=1 -DMOZ_DLL_SUFFIX=\".so\" -DXP_UNIX=1 -DUNIX_ASYNC_DNS=1  /builds/slave/m-cen-andrd-armv6/build/mobile/android/base/AndroidManifest.xml.in > AndroidManifest.xml
/tools/android-sdk-r15/platforms/android-14/../../platform-tools/aapt package -f -M AndroidManifest.xml -I /tools/android-sdk-r15/platforms/android-14/android.jar -S res -J . --custom-package org.mozilla.gecko
/tools/android-sdk-r15/platforms/android-14/../../platform-tools/aapt: /usr/lib/libz.so.1: no version information available (required by /tools/android-sdk-r15/platforms/android-14/../../platform-tools/aapt)
res/layout/reader_popup.xml:27: error: Error: No resource found that matches the given name (at 'text' with value '@string/add_to_reading_list').
make[6]: *** [R.java] Error 1
make[6]: Leaving directory `/builds/slave/m-cen-andrd-armv6/build/obj-firefox/mobile/android/base'
make[5]: *** [libs] Error 2
make[5]: Leaving directory `/builds/slave/m-cen-andrd-armv6/build/obj-firefox/mobile/android'
make[4]: *** [libs_tier_app] Error 2
make[3]: *** [tier_app] Error 2
make[4]: Leaving directory `/builds/slave/m-cen-andrd-armv6/build/obj-firefox'
make[3]: Leaving directory `/builds/slave/m-cen-andrd-armv6/build/obj-firefox'
make[2]: *** [default] Error 2
make[2]: Leaving directory `/builds/slave/m-cen-andrd-armv6/build/obj-firefox'
make[1]: *** [realbuild] Error 2
make[1]: Leaving directory `/builds/slave/m-cen-andrd-armv6/build'
make: *** [build] Error 2
Comment 36 Mike Hommey [:glandium] 2012-06-21 07:19:42 PDT
Did the required SDK level change again?
Comment 37 Mike Hommey [:glandium] 2012-06-21 07:20:46 PDT
(In reply to Mike Hommey [:glandium] from comment #36)
> Did the required SDK level change again?

Apparently not.
Comment 38 (Back on May31) Kartikaya Gupta (email:kats@mozilla.com) 2012-06-21 07:38:19 PDT
I'd suggest doing "make -C mobile/android/base clean" - those resource files are really finicky and often need to be cleaned to work properly.
Comment 39 Armen Zambrano [:armenzg] - Engineering productivity 2012-06-21 08:47:37 PDT
Clobbering worked!

I have a question that I have not yet figured out.

What update platform should we have?
For native we have Android_arm-eabi-gcc3
For Xul we have Android_arm-eabi-gcc3-xul.
Comment 40 Armen Zambrano [:armenzg] - Engineering productivity 2012-06-21 08:48:31 PDT
Created attachment 635339 [details] [diff] [review]
add android-armv6

We will have to change the update platform once we get an answer.
Comment 41 Armen Zambrano [:armenzg] - Engineering productivity 2012-06-21 08:48:59 PDT
Created attachment 635340 [details] [diff] [review]
adjust for different packaging for armv6
Comment 42 John Hopkins (:jhopkins) 2012-06-21 09:09:59 PDT
Comment on attachment 635339 [details] [diff] [review]
add android-armv6

Looks reasonable to me, except you may want to set android_signing=True.
Comment 43 Brad Lassey [:blassey] (use needinfo?) 2012-06-21 09:35:30 PDT
(In reply to Armen Zambrano G. [:armenzg] - Release Engineer from comment #39)
> Clobbering worked!
> 
> I have a question that I have not yet figured out.
> 
> What update platform should we have?
> For native we have Android_arm-eabi-gcc3
> For Xul we have Android_arm-eabi-gcc3-xul.

I don't have a strong opinion tbh, but I would suggest Android_armv6-eabi-gcc3
Comment 44 Armen Zambrano [:armenzg] - Engineering productivity 2012-06-21 09:42:43 PDT
Comment on attachment 635340 [details] [diff] [review]
adjust for different packaging for armv6

http://hg.mozilla.org/build/buildbot-configs/rev/2a775df93f5c
http://hg.mozilla.org/build/buildbotcustom/rev/b5090e91e2ef

This should go live in the next 30 minutes.
Comment 45 Rail Aliiev [:rail] 2012-06-21 11:33:55 PDT
Merged to production today
Comment 46 Armen Zambrano [:armenzg] - Engineering productivity 2012-06-21 12:25:42 PDT
We are live now!

NOTE: Unless you are a developer I suggest you to wait until tomorrow or early next week. By then we should be able to confirm that we actually have automated updates for armv6 builds. I know you're all eager but just wait a little longer :)

Builds are on ftp and reporting is in here:
https://tbpl.mozilla.org/?jobname=armv6
https://tbpl.mozilla.org/?tree=Mozilla-Inbound&jobname=armv6

Can you please verify that we're good?
Comment 47 Mark Finkle (:mfinkle) (use needinfo?) 2012-06-21 12:31:19 PDT
(In reply to Brad Lassey [:blassey] from comment #43)

> > What update platform should we have?
> > For native we have Android_arm-eabi-gcc3
> > For Xul we have Android_arm-eabi-gcc3-xul.
> 
> I don't have a strong opinion tbh, but I would suggest
> Android_armv6-eabi-gcc3

I agree, lets use "Android_armv6-eabi-gcc3"
Comment 48 Armen Zambrano [:armenzg] - Engineering productivity 2012-06-21 12:56:43 PDT
http://armenzg.blogspot.ca/2012/06/initial-automated-armv6-builds-for.html

We can do another post when we actually have the nightly builds verified to be working.
Comment 49 Armen Zambrano [:armenzg] - Engineering productivity 2012-06-21 13:02:41 PDT
Created attachment 635428 [details] [diff] [review]
dsiable for m-a, m-b and m-r
Comment 50 Nick Thomas [:nthomas] 2012-06-21 15:21:13 PDT
Created attachment 635500 [details] [diff] [review]
Disable uploading symbols on try

padenot noticed that the new armv6 build is failing to upload symbols to symbols1.dmz.phx1.mozilla.com, which it shouldn't be attempting on the try branch.
Comment 51 Nick Thomas [:nthomas] 2012-06-21 21:07:04 PDT
(In reply to Mark Finkle (:mfinkle) from comment #47)
> (In reply to Brad Lassey [:blassey] from comment #43)
> 
> > > What update platform should we have?
> > > For native we have Android_arm-eabi-gcc3
> > > For Xul we have Android_arm-eabi-gcc3-xul.
> > 
> > I don't have a strong opinion tbh, but I would suggest
> > Android_armv6-eabi-gcc3
> 
> I agree, lets use "Android_armv6-eabi-gcc3"

Armen's asking from the point of view of what we use in the buildbot configs to publish the update snippets to the right place. The builds need to be querying with that too, and right now the v6 and non0v6 are the same %BUILD_TARGET%. Here's what a local Apache sees if I point a v6 dep build at it
GET /update/4/Fennec/16.0a1/20120621135913/Android_arm-eabi-gcc3/en-US/default/Linux%202.6.36.3/default/default/16.0a1/update.xml?force=1
and here's non-v6 nightly
GET /update/4/Fennec/16.0a1/20120621053048/Android_arm-eabi-gcc3/en-US/nightly/Linux%202.6.36.3/default/default/16.0a1/update.xml?force=1 HTTP/1.1

So we'll be updating v6 builds to non-v6 ones.
Comment 52 Nick Thomas [:nthomas] 2012-06-21 21:19:36 PDT
Created attachment 635597 [details] [diff] [review]
Disable nightlies

This will turn off v6 nightlies until the requests can be sorted out. The dep builds don't update properly regardless of build type (they're on the default channel).
Comment 53 Nick Thomas [:nthomas] 2012-06-21 21:43:37 PDT
Comment on attachment 635428 [details] [diff] [review]
dsiable for m-a, m-b and m-r

http://hg.mozilla.org/build/buildbot-configs/rev/54e0eae62287
Comment 54 Nick Thomas [:nthomas] 2012-06-21 21:43:39 PDT
Comment on attachment 635500 [details] [diff] [review]
Disable uploading symbols on try

http://hg.mozilla.org/build/buildbot-configs/rev/7e6f3fd54ed5
Comment 55 Nick Thomas [:nthomas] 2012-06-21 21:43:50 PDT
Comment on attachment 635597 [details] [diff] [review]
Disable nightlies

Also disabled the xulrunner nightly job on landing:
 http://hg.mozilla.org/build/buildbot-configs/rev/eb8d772a00a3

Armen, when you turn nightlies back on you should define MOZ_SYMBOLS_EXTRA_BUILDID in the env for android-armv6. Without that the symbol manifests for v6 and non-v7 nightlies will overwrite each other, which shortens the history we keep to 15 builds and leaves orphans in the symbolstore.
Comment 57 Armen Zambrano [:armenzg] - Engineering productivity 2012-06-22 12:38:37 PDT
Created attachment 635865 [details] [diff] [review]
modify MOZ_SYMBOLS_EXTRA_BUILDID for armv6

There is an extra line for something that I always change for staging. Might as well land it.
Comment 58 Armen Zambrano [:armenzg] - Engineering productivity 2012-06-22 13:44:42 PDT
(In reply to Nick Thomas [:nthomas] from comment #51)
> (In reply to Mark Finkle (:mfinkle) from comment #47)
> > (In reply to Brad Lassey [:blassey] from comment #43)
> > 
> > > > What update platform should we have?
> > > > For native we have Android_arm-eabi-gcc3
> > > > For Xul we have Android_arm-eabi-gcc3-xul.
> > > 
> > > I don't have a strong opinion tbh, but I would suggest
> > > Android_armv6-eabi-gcc3
> > 
> > I agree, lets use "Android_armv6-eabi-gcc3"
> 
> Armen's asking from the point of view of what we use in the buildbot configs
> to publish the update snippets to the right place. The builds need to be
> querying with that too, and right now the v6 and non0v6 are the same
> %BUILD_TARGET%. Here's what a local Apache sees if I point a v6 dep build at
> it
> GET
> /update/4/Fennec/16.0a1/20120621135913/Android_arm-eabi-gcc3/en-US/default/
> Linux%202.6.36.3/default/default/16.0a1/update.xml?force=1
> and here's non-v6 nightly
> GET
> /update/4/Fennec/16.0a1/20120621053048/Android_arm-eabi-gcc3/en-US/nightly/
> Linux%202.6.36.3/default/default/16.0a1/update.xml?force=1 HTTP/1.1
> 
> So we'll be updating v6 builds to non-v6 ones.

nthomas, what do we have to fix in here? I already set the update_platform to the value requested.

I am triggering nightly builds on dev-master for now.
Comment 59 Nick Thomas [:nthomas] 2012-06-24 21:37:05 PDT
Bug 767864 to fix the armv6 build so that we can tell it apart from the v7 ones.
Comment 60 Nick Thomas [:nthomas] 2012-07-03 03:22:26 PDT
Comment on attachment 635865 [details] [diff] [review]
modify MOZ_SYMBOLS_EXTRA_BUILDID for armv6

Apologies for the delay.

>diff --git a/mozilla/config.py b/mozilla/config.py
>+        BRANCHES[branch]['platforms']['android-armv6']['env']['MOZ_SYMBOLS_EXTRA_BUILDID'] = 'android-armv6-%s' % branch

Please also add this to the '######## generic branch configs' block which is also in config.py.

>-BRANCHES['try']['pgo_strategy'] = 'try'
>+BRANCHES['try']['pgo_strategy'] = None

Is this a stray hunk of code ?
Comment 61 Armen Zambrano [:armenzg] - Engineering productivity 2012-07-03 11:28:25 PDT
Created attachment 638816 [details] [diff] [review]
modify MOZ_SYMBOLS_EXTRA_BUILDID for armv6 (take2)
Comment 62 Armen Zambrano [:armenzg] - Engineering productivity 2012-07-03 15:13:36 PDT
Created attachment 638881 [details] [diff] [review]
enable nightly builds

Waiting on dependent bug before landing.
Comment 63 Nick Thomas [:nthomas] 2012-07-04 02:50:06 PDT
Comment on attachment 638881 [details] [diff] [review]
enable nightly builds

Presumably this is for after the BUILD_TARGET changes in bug 767864 and we verify that's working, in which case update_platform will need changing. Looks like it's going to be 'Android_arm-eabi-gcc3-armv6'.
Comment 64 Nick Thomas [:nthomas] 2012-07-04 04:11:21 PDT
Comment on attachment 638816 [details] [diff] [review]
modify MOZ_SYMBOLS_EXTRA_BUILDID for armv6 (take2)

You're having a bad run here. This patch doesn't work because m-c, m-a, m-b, m-r are never in ACTIVE_PROJECT_BRANCHES, so you need the block for them in the first place you had it.

To catch things that are in ACTIVE_PROJECT_BRANCHES you need this 
+    if BRANCHES[branch]['platforms'].has_key('android-armv6'):
+        BRANCHES[branch]['platforms']['android-armv6']['env']['MOZ_SYMBOLS_EXTRA_BUILDID'] = 'android-armv6-' + branch
Comment 65 Nick Thomas [:nthomas] 2012-07-04 04:14:43 PDT
Created attachment 639044 [details] [diff] [review]
Round up of fixes

* enable nightlies with fixed update_platform, enable snippet generation
* fix up symbol naming

Eyeballs OK when dumping the master config & builders.
Comment 66 Nick Thomas [:nthomas] 2012-07-05 19:25:46 PDT
Comment on attachment 639044 [details] [diff] [review]
Round up of fixes

Don't think I should review my own patch, even if it's combining other ones. Over to Rail.
Comment 67 Rail Aliiev [:rail] 2012-07-06 06:40:03 PDT
Comment on attachment 639044 [details] [diff] [review]
Round up of fixes

Review of attachment 639044 [details] [diff] [review]:
-----------------------------------------------------------------

A nit.

::: mozilla/config.py
@@ +788,5 @@
>              'upload_symbols': True,
>              'packageTests': True,
>              'enable_codesighs': False,
>              'enable_xulrunner': False,
> +            'create_partial': False,

You may drop this, since it False by default.
Comment 68 Armen Zambrano [:armenzg] - Engineering productivity 2012-07-06 07:01:29 PDT
Comment on attachment 639044 [details] [diff] [review]
Round up of fixes

http://hg.mozilla.org/build/buildbot-configs/rev/4940b32a7622
Comment 69 Armen Zambrano [:armenzg] - Engineering productivity 2012-07-06 07:44:44 PDT
Live in production.

I triggered a nightly build.
Comment 70 Joel Schaerer 2012-07-06 07:51:25 PDT
>I triggered a nightly build.

This is great news! However I guess the road is still long before an official release can be made?
Comment 71 Armen Zambrano [:armenzg] - Engineering productivity 2012-07-06 08:38:24 PDT
Can I please get some verification?
http://ftp.mozilla.org/pub/mozilla.org/mobile/nightly/2012/07/2012-07-06-07-44-39-mozilla-central-android-armv6/fennec-16.0a1.en-US.android-arm-armv6.apk
http://ftp.mozilla.org/pub/mozilla.org/mobile/nightly/latest-mozilla-central-android-armv6

I can trigger a second nightly to verify that we get updated.


(In reply to Joel Schaerer from comment #70)
> >I triggered a nightly build.
> 
> This is great news! However I guess the road is still long before an
> official release can be made?

It will take a while. Once you hear we're "on beta" we will be much closer and there would probably be a clear path forward.
Comment 72 JP Rosevear [:jpr] 2012-07-08 16:34:26 PDT
(In reply to Joel Schaerer from comment #70)
> >I triggered a nightly build.
> 
> This is great news! However I guess the road is still long before an
> official release can be made?

Hopefully not too long, but there is not a schedule yet.
Comment 73 Armen Zambrano [:armenzg] - Engineering productivity 2012-07-10 14:08:09 PDT
Created attachment 640775 [details] [diff] [review]
add armv6 to the trychooser
Comment 74 Please Ignore This Troll 2012-07-21 05:48:25 PDT
Are localized builds planned?
Comment 75 Armen Zambrano [:armenzg] - Engineering productivity 2012-07-23 06:41:54 PDT
(In reply to Please Ignore This Troll from comment #74)
> Are localized builds planned?

They will come eventually. Once we start working I hope to remember to paste the bug in here.
Comment 76 Armen Zambrano [:armenzg] - Engineering productivity 2012-07-26 05:49:07 PDT
I don't know why I forgot to close it.
Comment 77 lord.dhruv 2012-07-26 08:47:47 PDT
so basically we can get firefox from the google play store via our armv6 phones now ???
Comment 78 Armen Zambrano [:armenzg] - Engineering productivity 2012-07-26 08:55:44 PDT
For now you can only get them through FTP:
http://ftp.mozilla.org/pub/mozilla.org/mobile/nightly/latest-mozilla-central-android-armv6

Sometime this year we will have them on the Play Store as well.

You can subscribe to bug 775232 to when we start generating them for "Firefox Beta".
On that bug we will be doing the work for it.
The first beta of Firefox 16 will happen in 4 weeks from now. We hope to have the first armv6 beta around that time.
That is the plan for now.
If everything is go to well we could see them as "Firefox" (rather than just beta) in 10 weeks from now (each cycle is 6 weeks long).

I hope this info helps.
Comment 79 Joseph R. Pruitt 2012-09-23 22:17:34 PDT
Will there be one that works for the Pandigital Novel (2012 Walmart WPDN) R7T40WWHF1?  It's running Eclair 2.1.  I keep waiting for a mod to get it to at least Froyo but I doubt it's going to happen since it hasn't been on the market that long.  I would be happy to allow my Novel to be a test dummy if someone were interested.  It's ARMv6 and I'd be happy to give any further info if someone would be interested in picking this up.  Chrome certainly isn't showing us 'Android on the cheap' people any love.
Comment 80 Mark Finkle (:mfinkle) (use needinfo?) 2012-09-23 22:23:09 PDT
(In reply to Joseph R. Pruitt from comment #79)
> Will there be one that works for the Pandigital Novel (2012 Walmart WPDN)
> R7T40WWHF1?  It's running Eclair 2.1.  I keep waiting for a mod to get it to
> at least Froyo but I doubt it's going to happen since it hasn't been on the
> market that long.

Eclair (Android 2.1) is out of our minimum OS requirement range. We need support for features not found in Eclair. Android 2.2 (Froyo) is our current minimum OS version.
Comment 81 Joseph R. Pruitt 2012-09-23 22:33:06 PDT
Ok that will work.  I do thank you for the rapid response, Mark.

Note You need to log in before you can comment on or make changes to this bug.